<!DOCTYPE html>
<html lang="en"  xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Update product</title>

    <style>

        *{
    margin: 0;
    padding: 0;
}

html{
    font-size:16px;
}

body{
    background-color: #949fb5;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

label{
    padding: 3px;;
}

input{
    padding: 3px;
    float:right;
    width:60%;
}



.header{
    background-color: #575e6b;
    padding: 20px;
    text-align: center;
}

.container{
    padding:20px;
    width:40%;
    margin:auto;
}

.center-block{
    font-weight: bold;
    color: #27324f;
    font-size:2em;
}

.create-restaurant-form{
    padding: 20px;
}

.form-group{
    padding-bottom:12px;
}

.btn{
    border: none;
    font-weight: bold;
    padding: 4px;
    width:58%;
    color: #11214a;
    background-color: #434b5e;
    border-radius: 3px;
}

.btn:hover{
    background-color: #0d1f4f;
    color: aliceblue;
}

.btn:focus{
    outline:none;
}



@media only screen and (min-width: 576px) {
    html{
        font-size :12px;
    }
    .container{
        width: 70%;
    }
    .btn{
        width: 62%;
    }
}

@media only screen and (min-width: 768px) {
    html{
        font-size :12px;
    }
    .container{
        width: 70%;
    }
    .btn{
        width: 63%;
    }
}

@media only screen and (min-width: 992px) {
    html{
        font-size :14px;
    }

    .container{
        width: 50%;
    }
    .btn{
        width: 61%;
        font-weight : bold;
    }
}

@media only screen and (min-width: 1200px) {
    html{
        font-size :16px;
    }

    .container{
        width: 50%;
    }
    .btn{
        width: 62%;
    }
}


    </style>

</head>
<body>


&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<div class="productBox">
    <h2 align="center">Save Product</h2><!--"@{'/appel/edit/' + ${appel.id}}-->
    <!--th:action="@{/products/update/{idProduct}(idProduct=${product.idProduct})}" -->
    <form class="productForm"  method="post"  th:action="'/products/update/' + ${product.idProduct}"  th:object="${product}" enctype="multipart/form-data">
        <fieldset>
            <legend class="center-block">Product information<span style="font-size:small">is a required field</span></legend>
            <label  class="lbl">Restaurant</label><br>

            <input type="hidden" th:field="*{restaurant.idRestaurant}"/>
            <input type="text" disabled th:value="*{restaurant.restaurantName}"/><br>
            <label for="productName" class="lbl">Product name</label><br>
            <input class="txt" th:field="*{productName}" type="text" id="productName" required name="productName"/><br><br>
            <span th:if="${#fields.hasErrors('productName')}" th:errors="*{productName}" class="text-danger"></span>
            <label for="image" class="lbl">Product image</label>
            <input class="txt" type="file"  th:name="imageFile" id ="image" name="image"/><br><br>

            <span th:if="${#fields.hasErrors('image')}" th:errors="*{image}" class="text-danger"></span>

            <label for="description" class="lbl">Description</label><br>
            <input class="txt" th:field="*{description}" type="text" id="description" name="description" required/><br><br>
            <span th:if="${#fields.hasErrors('description')}" th:errors="*{description}" class="text-danger"></span>
            <label for="price" class="lbl">Price</label><br>
            <input class="txt" th:field="*{price}" type="text" id="price" name="price" required/><br><br><br>
            <span th:if="${#fields.hasErrors('price')}" th:errors="*{price}" class="text-danger"></span>
            <input class="btn" type="submit" th:value="Update">

        </fieldset>
    </form>

</div>

</body>
</html>